import request from '@/utils/request'

export function GetMathList(data) {
  return request({
    url: '/Channel/SonMathList ',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function DeleteSonMath(data) {
  return request({
    url: 'Channel/DeleteSonMath',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function EditSonMath(data) {
  return request({
    url: '/Channel/EditSonMath ',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function GetSonMath(id) {
  return request({
    url: '/Channel/GetSonMath',
    method: 'get',
    timeout: 20 * 1000,
    params: { id }
  })
}

export function _batchEnable(data) {
  return request({
    url: '/Channel/BatchEnableSonMatch',
    method: 'post',
    data
  })
}
export function _batchDisable(data) {
  return request({
    url: '/Channel/BatchDisableSonMatch',
    method: 'post',
    data
  })
}

export function _batchRemove(data) {
  return request({
    url: '/Channel/BatchDeleteSonMatch',
    method: 'post',
    data
  })
}
export function _GetChildrenList(sonMathId) {
  return request({
    url: '/Channel/GetChildrenList',
    method: 'get',
    params:{sonMathId}
  })
}
